Subject: Re: bug#17994: Linux RAID MBR type code

From: Phillip Susi <[email-masked]>
Date: Sun, 13 Jul 2014 18:41:53 -0400

On 07/10/2014 07:58 PM, Chris Murphy wrote:
> This is in master branch.
> 
> libparted/labels/dos.c 98	#define PARTITION_LINUX_RAID	0xfd
> 
> 
> This type code and metadata version 0.9 are long deprecated.
> Parted lacks support for the "non-fs data" partition type code
> 0xda, which is what should be used for mdadm metadata 1.x
> partitions.
> 
> man 8 mdadm: "When  creating  a partition based array, using mdadm 
> with version-1.x metadata, the partition type should be set to
> 0xDA (non fs-data).  This type selection allows for greater
> precision since using any other [RAID auto-detect (0xFD) or a
> GNU/Linux partition (0x83)], might create problems in the event of
> array recovery through a live cdrom."

Why does it matter?  Linux doesn't pay attention to the partition type
code anyhow.  I've always just used 0x83.